Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package backend
  Definition Classes
    nsc
-  package jvm
  Definition Classes
    backend
-  abstract class BTypes extends AnyRef

  The BTypes component defines The BType class hierarchy.

  The BTypes component defines The BType class hierarchy. A BType stores all type information that is required after building the ASM nodes. This includes optimizations, generation of InnerClass attributes and generation of stack map frames.

  The representation is immutable and independent of the compiler data structures, hence it can be queried by concurrent threads.

  Definition Classes
    jvm
- ArrayBType
- BOOL
- BType
- BYTE
- CHAR
- ClassBType
- ClassInfo
- DOUBLE
- FLOAT
- INT
- InnerClassEntry
- LONG
- Lazy
- LazyVar
- MethodBType
- MethodNameAndType
- NestedInfo
- PrimitiveBType
- RefBType
- SHORT
- UNIT

o

scala.tools.nsc.backend.jvm.BTypes

# Lazy

###
Companion class Lazy

#### object Lazy

Source
  BTypes.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Lazy
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  def eager[T <: AnyRef](value: T): Lazy[T]

   create a Lazy where the result is pre-determined, typically a constant, e.g.

   create a Lazy where the result is pre-determined, typically a constant, e.g. Nil None etc

7.  val eagerNil: Lazy[collection.immutable.Nil.type]
8.  val eagerNone: Lazy[None.type]
9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
11.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
12.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
15.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
19.  def toString(): String
    Definition Classes
      AnyRef → Any
20.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
23.  def withLock[T <: AnyRef](t: => T): Lazy[T]

    create a Lazy, whose calculation is performed with `frontendLock`

24.  def withLockOrEager[T <: AnyRef](beLazy: Boolean, t: => T): Lazy[T]

    create a Lazy, whose calculation is conditionally performed with `frontendLock` or eagerly evaluated

25.  def withoutLock[T <: AnyRef](t: => T): Lazy[T]

    create a Lazy, whose calculation is performed on demand

### Inherited from AnyRef

### Inherited from Any

### Ungrouped